"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const async_middleware_1 = require("async-middleware");
const http_node_1 = require("@essential-projects/http_node");
const consumer_api_contracts_1 = require("@process-engine/consumer_api_contracts");
class ApplicationInfoRouter extends http_node_1.BaseRouter {
    constructor(applicationInfoController) {
        super();
        this.applicationInfoController = applicationInfoController;
    }
    get baseRoute() {
        return 'api/consumer/v1';
    }
    async initializeRouter() {
        this.registerRoutes();
    }
    registerRoutes() {
        const controller = this.applicationInfoController;
        this.router.get(consumer_api_contracts_1.restSettings.paths.getApplicationInfo, async_middleware_1.wrap(controller.getApplicationInfo.bind(controller)));
    }
}
exports.ApplicationInfoRouter = ApplicationInfoRouter;
//# sourceMappingURL=application_info_router.js.map